NTSecApi
Date: 2010-04-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Class NTSecApi

    java.lang.Object
      com.sun.jna.platform.win32.NTSecApi

    public abstract class NTSecApi

extends java.lang.Object

Ported from NTSecApi.h Windows SDK 6.0A.

Nested Class Summary
`static class` | `NTSecApi.LSA_FOREST_TRUST_BINARY_DATA`
`static class` | `NTSecApi.LSA_FOREST_TRUST_DOMAIN_INFO`
`static class` | `NTSecApi.LSA_FOREST_TRUST_INFORMATION`
`static class` | `NTSecApi.LSA_FOREST_TRUST_RECORD`
`static class` | `NTSecApi.LSA_UNICODE_STRING` The LSA_UNICODE_STRING structure is used by various Local Security Authority (LSA) functions to specify a Unicode string.
`static class` | `NTSecApi.PLSA_FOREST_TRUST_INFORMATION` The LSA_FOREST_TRUST_INFORMATION structure contains Local Security Authority forest trust information.
`static class` | `NTSecApi.PLSA_FOREST_TRUST_RECORD`
`static class` | `NTSecApi.PLSA_UNICODE_STRING` Pointer to an LSA_UNICODE_STRING.

Field Summary
`static int` | `ForestTrustDomainInfo` Record contains an LSA_FOREST_TRUST_DOMAIN_INFO structure.
`static int` | `ForestTrustTopLevelName` Record contains an included top-level name.
`static int` | `ForestTrustTopLevelNameEx` Record contains an excluded top-level name.

Constructor Summary
`NTSecApi()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ForestTrustTopLevelName

    public static final int ForestTrustTopLevelName

  Record contains an included top-level name.

  See Also:
    Constant Field Values

### ForestTrustTopLevelNameEx

    public static final int ForestTrustTopLevelNameEx

  Record contains an excluded top-level name.

  See Also:
    Constant Field Values

### ForestTrustDomainInfo

    public static final int ForestTrustDomainInfo

  Record contains an LSA_FOREST_TRUST_DOMAIN_INFO structure.

  See Also:
    Constant Field Values

Constructor Detail

### NTSecApi

    public NTSecApi()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD